## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global repo qt5integration
%global __provides_exclude_from ^%{_qt5_plugindir}/.*\.so$

Name:           deepin-qt5integration
Version:        5.6.32
Release:        %autorelease
Summary:        Qt platform theme integration plugins for DDE
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/qt5integration
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz
Patch0:         https://github.com/linuxdeepin/qt5integration/commit/f5c1ef96b23dc970e1763092a25c36ea2adb4d78.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5ThemeSupport)

# for Qt5::ThemeSupport
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  cmake(DtkWidget)

BuildRequires:  pkgconfig(mtdev)
BuildRequires:  pkgconfig(x11)

Requires:       deepin-qt5platform-plugins%{?_isa}

%description
Multiple Qt plugins to provide better Qt5 integration for DDE is included.

%prep
%autosetup -p1 -n %{repo}-%{version}

%build
%cmake -DENABLE_QT_XDG_ICON_LOADER=OFF -DBUILD_TESTS=OFF
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_qt5_plugindir}/iconengines/libdicon.so
%{_qt5_plugindir}/iconengines/libdsvgicon.so
%{_qt5_plugindir}/imageformats/libdci.so
%{_qt5_plugindir}/imageformats/libdsvg.so
%{_qt5_plugindir}/platformthemes/libqdeepin.so
%{_qt5_plugindir}/styles/libchameleon.so

%changelog
## START: Generated by rpmautospec
* Mon Aug 12 2024 Felix Wang <topazus@outlook.com> - 5.6.32-3
- Add patch to fix build without libqtxdg

* Fri Aug 09 2024 Felix Wang <topazus@outlook.com> - 5.6.32-2
- Disable libqtxdg

* Wed Aug 07 2024 Felix Wang <topazus@outlook.com> - 5.6.32-1
- 5.6.32

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 30 2024 Jan Grulich <jgrulich@redhat.com> - 5.6.11-7
- Rebuild (qt5)

* Fri Mar 15 2024 Jan Grulich <jgrulich@redhat.com> - 5.6.11-6
- Rebuild (qt5)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Jan Grulich <jgrulich@redhat.com> - 5.6.11-3
- Rebuild (qt5)

* Mon Oct 09 2023 Jan Grulich <jgrulich@redhat.com> - 5.6.11-2
- Rebuild (qt5)

* Sun Aug 20 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.6.11-1
- New release 5.6.11

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.20-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Jan Grulich <jgrulich@redhat.com> - 5.5.20-10
- Rebuild (qt5)

* Wed Apr 12 2023 Jan Grulich <jgrulich@redhat.com> - 5.5.20-9
- Rebuild (qt5)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.20-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 06 2023 Jan Grulich <jgrulich@redhat.com> - 5.5.20-7
- Rebuild (qt5)

* Mon Oct 31 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.20-6
- Rebuild (qt5)

* Wed Sep 21 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.20-5
- Rebuild (qt5)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.20-3
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.20-2
- Rebuild (qt5)

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.20-1
- New release 5.5.20

* Wed Mar 09 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.8-4
- Fix build with recent dtkgui

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.8-3
- Rebuild (qt5)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.5.8-1
- New release 5.5.8

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 11 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.1.5-1
- fix: 跟随颜色变化的svg加缓存后显示异常的问题 (ck)
- fix: 图标引擎中image缩放参数修改 (liuyang)
- fix: 加png缓存后出现锯齿 (ck)
- fix: 修复进度条控件UI错误 (wangpeng)
- feat: Initial packit setup (Robin Lee)
- fix: 父对象转换后没有再次判断导致的崩溃问题 (wangpeng)
- feat: 调整DSpinBox控件enabledEmbedStyle模式下焦点样式 (wangpeng)
- fix: 修复DDateTimeEdit控件calendarPopup状态下输入框样式 (wangpeng)
- fix: 修复输入框透明度导致的UI问题 (wangpeng)
- fix: 调整DSpinBox控件UI样式 (wangpeng)
- feat: dsvg插件支持缓存svg图标的渲染结果 (zccrs)
- fix(chameleon): 修复sizeFromContents在某些情况下崩溃的问题 (zccrs)
- fix: remove build depend qt5-default (zccrs)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.1.0.10-1
- new upstream release: 5.1.0.10

* Mon Nov 23 07:51:40 CET 2020 Jan Grulich <jgrulich@redhat.com> - 5.1.0.8-2
- rebuild (qt5)

* Tue Sep 29 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.1.0.8-1
- new upstream release: 5.1.0.8

* Fri Sep 11 2020 Jan Grulich <jgrulich@redhat.com> - 5.0.0-7
- rebuild (qt5)

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr  7 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-5
- Fix build with Qt 5.14.2

* Mon Apr 06 2020 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-5
- rebuild (qt5)

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 09 2019 Jan Grulich <jgrulich@redhat.com> - 5.0.0-3
- rebuild (qt5)

* Wed Sep 25 2019 Jan Grulich <jgrulich@redhat.com> - 5.0.0-2
- rebuild (qt5)

* Mon Aug 05 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-1
- Release 5.0.0

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 17 2019 Jan Grulich <jgrulich@redhat.com> - 0.3.10-3
- rebuild (qt5)

* Wed Jun 05 2019 Jan Grulich <jgrulich@redhat.com> - 0.3.10-2
- rebuild (qt5)

* Mon Apr 08 2019 Robin Lee <cheeselee@fedoraproject.org> - 0.3.10-1
- new version
- Split qt5dxcb-plugin

* Sat Mar  9 2019 Robin Lee <cheeselee@fedoraproject.org> - 0.3.7.2-2
- Update qt5dxcb-plugin for qt5.12

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 0.3.7.2-1
- Update to 0.3.7.2

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Dec 18 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.3.7.1-2
- rebuild (Qt5)

* Thu Dec 13 2018 mosquito <sensor.wen@gmail.com> - 0.3.7.1-1
- Update to 0.3.7.1

* Thu Dec 13 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.3.6-3
- rebuild (qt5)

* Wed Nov 21 2018 mosquito <sensor.wen@gmail.com> - 0.3.6-2
- Update qt5dxcb to 1.1.14

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 0.3.6-1
- Update to 0.3.6
- Use of the gold linker by QMAKE_LFLAGS+="-fuse-ld=gold"
  https://bugreports.qt.io/browse/QTBUG-65071

* Fri Sep 21 2018 Jan Grulich <jgrulich@redhat.com> - 0.3.4-2
- rebuild (qt5)

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 0.3.4-1
- Update to 0.3.4

* Fri Aug 10 2018 mosquito <sensor.wen@gmail.com> - 0.3.3-1
- Update to 0.3.3

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 0.3.1-1
- Update to 0.3.1

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 21 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.2.8.3-6
- rebuild (qt5)

* Sun May 27 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.2.8.3-5
- rebuild (qt5)

* Sun Feb 18 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.2.8.3-4
- rebuild (qt5)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 01 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.2.8.3-2
- rebuild (qt5)

* Sat Dec  9 2017 mosquito <sensor.wen@gmail.com> - 0.2.8.3-1
- Update to 0.2.8.3

* Mon Nov 27 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.2.3-3
- rebuild (qt5)

* Wed Nov 15 2017 mosquito <sensor.wen@gmail.com> - 0.2.8.1-1
- Update to 0.2.8.1

* Fri Oct 27 2017 mosquito <sensor.wen@gmail.com> - 0.2.7-1
- Update to 0.2.7

* Mon Oct 23 2017 mosquito <sensor.wen@gmail.com> - 0.2.4-1
- Update to 0.2.4
- Included qt5xcbqpa private header files in the project

* Wed Oct 11 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.2.3-2
- BR: qt5-qtbase-private-devel

* Tue Aug 22 2017 mosquito <sensor.wen@gmail.com> - 0.2.3-1
- Update to 0.2.3

* Tue Aug  1 2017 mosquito <sensor.wen@gmail.com> - 0.2.2-1
- Update to 0.2.2

* Fri Jul 14 2017 mosquito <sensor.wen@gmail.com> - 0.2.1-1.git2cd7432
- Update to 0.2.1

* Fri May 19 2017 mosquito <sensor.wen@gmail.com> - 0.1.8-1.gitb03be20
- Update to 0.1.8

* Tue Mar  7 2017 mosquito <sensor.wen@gmail.com> - 0.1.2-1.gitecde076
- Update to 0.1.2

* Sun Feb 26 2017 mosquito <sensor.wen@gmail.com> - 0.1.1-1.gitaa563fd
- Update to 0.1.1

* Sat Jan 21 2017 mosquito <sensor.wen@gmail.com> - 0.0.6-1.git40401af
- Update to 0.0.6

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 0.0.5-1.gitc0dc3cf
- Initial build

## END: Generated by rpmautospec
